<?php 
namespace GutenWarper;

class test_block extends GutenWarperBase {
    
    public function get_name() {
        return 'voc/test';
    }

    public function get_title() {
        return 'Another Block Test';
    }

    public function register_controls() {

        $this->add_control('text', [
            'title' => 'test text',
            'type' => 'string::text',
            'default' => 'i am default value',
        ]);

        $this->add_control('color', [
            'title' => 'test color',
            'type' => 'string::color',
            'placement' => 'inspector',
            'default' => '#f0f000'
        ]);
        $this->add_control('range', [
            'title' => 'test range',
            'type' => 'string::range',
            'placement' => 'inspector'
        ]);
        $this->add_control('select', [
            'title' => 'test select',
            'type' => 'string::select',
            'placement' => 'inspector',
            'options' => [
                [
                    'value' => 'one',
                    'label' => 'one'
                ],
                [
                    'value' => 'two',
                    'label' => 'two'
                ]
            ]
        ]);
        $this->add_control('switch', [
            'title' => 'test switch',
            'type' => 'string::switch',
            'placement' => 'inspector'
        ]);

    }
    
    public function render(){ ?>
       
       <?php print_r($this->getSettings); ?>


    <?php }

}
